Task # 3120 (Closed): Livraison sources 3.2.0.21 pour analyse Logiscope // W. Recart

Analyse Logiscope LFR_3.2.0.21 : LFR_basic-parameters : Don_Enumeration Severity is Medium

03/10/2018 05:29 PM - William Recart

Status: Closed Start date: 03/10/2018

Priority: Normal Due date:  

Assignee: thomas chust % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

revision: r0   

Description

Rappel de la règle :

Don_Enumeration

Definition:

-----------

Numbers, characters and strings have to be declared as constants instead of being

used as literals inside a program. The user can list the allowed literal

constants.

Parameters:

-----------

A list of character strings representing the allowed literal constants.

Note: In the case of constants used in initializing lists

(concerning array and struct structures), only the first five violations are shown.

Justification:

--------------

Makes maintenance easier by avoiding the scattering of constants among the code,

often with the same value.

Example:

--------

// do not write

char tab100;

int i;

La règle n'est pas respectée dans 296 cas d'après Logiscope:

basic_parameters.h : lines 71, 71, 71, 79, 80, 80, 95, 103, 107, 111, 114, 124, 128, 144, 145, 146, 147, 154, 158, 162, 165, 197,

197, 198, 198, 201, 202, 211, 211, 211, 212, 212, 212, 215, 215, 215, 219, 219, 239, 239, 241, 241, 241, 252, 252, 256, 256, 257,

257, 258, 258, 259, 259, 262, 268, 268, 270, 270, 281, 282, 283, 284, 285, 286, 287, 288, 289, 290, 291, 292, 295, 296, 297, 298,

299, 300, 301, 302, 303, 304, 305, 306, 313, 313, 313, 316, 316, 316, 319, 319, 322, 328, 332, 336, 339, 339, 339, 349, 349, 358,

358, 358, 361, 363, 363, 365, 365, 378, 380, 382, 383, 384, 385, 386, 387, 388, 389, 390, 391, 392, 393, 394, 395, 396, 397, 400,

401, 402, 403, 404, 405, 406, 407, 408, 409, 410, 411, 412, 413, 414, 415, 423, 423, 423, 426, 426, 426, 429, 429, 432, 439, 445,

449, 453, 456, 456, 456, 466, 466, 474, 474, 474, 477, 479, 479, 481, 481, 516, 519, 519, 552, 562, 562, 562, 563, 563, 563, 572,

573, 580, 580, 580, 581, 581, 581, 587, 589, 590, 597, 597, 597, 598, 598, 598, 604, 606, 607, 614, 614, 614, 615, 615, 615, 621,

623, 624, 631, 631, 631, 632, 632, 632, 638, 638, 640, 641, 648, 648, 648, 649, 649, 649, 655, 655, 657, 658, 665, 665, 666, 666,

666, 672, 674, 675, 682, 682, 682, 683, 683, 683, 689, 691, 692, 699, 699, 699, 700, 700, 700, 706, 706, 708, 709, 716, 716, 716,

717, 717, 717, 739, 743, 747, 750, 775, 784, 788, 792, 795, 805, 809, 829, 833, 837, 840, 849, 850, 853, 854, 865, 875, 879, 883,

886, 895, 896, 899, 900, 911, 920, 924, 928, 931, 940, 941, 945, 946

History

#1 - 03/10/2018 05:29 PM - William Recart

Je propose que ceci ne soit pas modifié et rentre dans le cadre de la RFW existante : RPW-MEB-LFR-RFW-00256-LPP

#2 - 04/10/2018 11:44 AM - bruno katra
- Status changed from New to In Progress

Je suis d'accord : ca rentre dans le contexte de la RFW 256 déjà acceptée.

#3 - 10/10/2018 10:56 AM - Alexis Jeandet

- Parent task set to #3120

#4 - 10/12/2018 03:47 PM - William Recart

- Status changed from In Progress to Closed

Corrected in source code V3.2.0.24
